Summary:	Wayland protocol extensions for Hyprland
Name:		hyprland-protocols
Version:	0.6.4
Release:	1
License:	BSD
Group:		Development/Tools
#Source0Download: https://github.com/hyprwm/hyprland-protocols/releases
Source0:	https://github.com/hyprwm/hyprland-protocols/archive/v%{version}/%{name}-v%{version}.tar.gz
# Source0-md5:	6550272ae760ffce75cedb9f32a9d778
URL:		https://hyprland.org/
BuildRequires:	meson >= 0.60.3
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 2.042
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wayland protocol extensions for Hyprland.

%prep
%setup -q

%build
%meson

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{_datadir}/hyprland-protocols
%{_npkgconfigdir}/hyprland-protocols.pc
%changelog
* Sun May 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hyprland-protocols.git;a=log;h=master

* Fri May 09 2025 Jan Palus <atler@pld-linux.org> b3b9b52
- up to 0.6.4

* Tue Mar 25 2025 Jan Palus <atler@pld-linux.org> 8940016
- up to 0.6.2

* Tue Mar 25 2025 Jan Palus <atler@pld-linux.org> 36e3ce1
- use new meson macros

* Sat Feb 01 2025 Jan Palus <atler@pld-linux.org> 0f476b0
- up to 0.6.1

* Sat Jan 11 2025 Jan Palus <atler@pld-linux.org> ff93ea9
- up to 0.5.0

* Sun Nov 10 2024 Jan Palus <atler@pld-linux.org> 07e0da5
- up to 0.4.0

* Sun Oct 06 2024 Jan Palus <atler@pld-linux.org> 575990b
- new

